# Losungepaper

## Whats this?

A ESP32-based Daily-Texts display on an e-Paper 2.7".
The only language currently supported is German.
Supported e-Paper display: 2.7inch e-Paper HAT of Waveshare

## How it works

1. The ESP32 connects to WiFi (for configuration, see Section "Install")
2. It connects to an NTP (Network Time Protocol) Server, and grabs the date
3. It gets today's daily text (in german) over HTTP GET. The URL format is:
```
https://www.losungen.de/fileadmin/media-losungen/heute/YYYY/MMDD.html
``` 
4. Then the HTML page is parsed and the daily text is being formatted for displaying.
5. The texts get rendered on the e-Paper.
6. The ESP32 goes into deep sleep mode.

## Install

First, clone the repo. After this is done, open it in Arduino IDE and change some variables:
- WiFiPSK
- WiFiSSID

to your WiFi Preshared Key (often just referred to as Passphrase) and the WiFi SSID.

Then, the whole project can be uploaded by pressing on the upload button (arrow pointing to the right)

# License
This is free and unencumbered software released into the public domain.

Anyone is free to copy, modify, publish, use, compile, sell, or
distribute this software, either in source code form or as a compiled
binary, for any purpose, commercial or non-commercial, and by any
means.

In jurisdictions that recognize copyright laws, the author or authors
of this software dedicate any and all copyright interest in the
software to the public domain. We make this dedication for the benefit
of the public at large and to the detriment of our heirs and
successors. We intend this dedication to be an overt act of
relinquishment in perpetuity of all present and future rights to this
software under copyright law.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR
OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.

For more information, please refer to <http://unlicense.org/>
